Last Comment Bug 321814 - [Win95-JA only] ™ is displayed as ^(TM)
: [Win95-JA only] ™ is displayed as ^(TM)
Status: RESOLVED FIXED
[tjp-dl]
: intl, verified1.8.0.2, verified1.8.1
Product: Core Graveyard
Classification: Graveyard
Component: GFX: Win32 (show other bugs)
: Trunk
: x86 Windows 95
-- normal (vote)
: mozilla1.8.1
Assigned To: Masatoshi Kimura [:emk]
: Hixie (not reading bugmail)
:
Mentors:
http://www.mozilla-japan.org/projects...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-29 09:38 PST by Masatoshi Kimura [:emk]
Modified: 2009-01-22 10:17 PST (History)
0 users
dveditz: blocking1.8.0.2+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch rv1.0 (2.48 KB, patch)
2005-12-29 09:44 PST, Masatoshi Kimura [:emk]
timeless: review+
Details | Diff | Splinter Review
Patch rv1.0 with diff -u8pw (review puopose only) (2.16 KB, patch)
2005-12-29 09:46 PST, Masatoshi Kimura [:emk]
no flags Details | Diff | Splinter Review
Patch rv1.1 (2.52 KB, patch)
2005-12-29 10:43 PST, Masatoshi Kimura [:emk]
VYV03354: review+
rbs: superreview+
rbs: approval‑branch‑1.8.1+
dveditz: approval1.8.0.2+
Details | Diff | Splinter Review
Patch rv1.1 with diff -u8pw (2.19 KB, patch)
2005-12-29 10:45 PST, Masatoshi Kimura [:emk]
no flags Details | Diff | Splinter Review

Description User image Masatoshi Kimura [:emk] 2005-12-29 09:38:26 PST
Reproducable: Always
Steps to reproduce:
1. Navigate to the URL above.
Actual result:
Camino^(TM)
Expected result:
Looks like Camino<sup>TM</sup>
Comment 1 User image Masatoshi Kimura [:emk] 2005-12-29 09:44:27 PST
Created attachment 207094 [details] [diff] [review]
Patch rv1.0

This is a regression of bug 134733.
Bug 134733 assumes that GenerateSingleByte is only used for raster fonts.
But A-functions will also use it for TrueType fonts.
This patch includes a fix for 141132.
timeless:
Do you know the reason why mb[127] and mb[255] are not yet initialized after bug 284436 fixed?
Comment 2 User image Masatoshi Kimura [:emk] 2005-12-29 09:46:53 PST
Created attachment 207095 [details] [diff] [review]
Patch rv1.0 with diff -u8pw (review puopose only)
Comment 3 User image timeless 2005-12-29 10:34:11 PST
Comment on attachment 207094 [details] [diff] [review]
Patch rv1.0

corner cases are always hard. perhaps we should use <= 127 and <= 255 instead?

it certainly wasn't intentional on my part.
Comment 4 User image Masatoshi Kimura [:emk] 2005-12-29 10:43:31 PST
Created attachment 207104 [details] [diff] [review]
Patch rv1.1
Comment 5 User image Masatoshi Kimura [:emk] 2005-12-29 10:45:08 PST
Created attachment 207105 [details] [diff] [review]
Patch rv1.1 with diff -u8pw
Comment 6 User image Masatoshi Kimura [:emk] 2005-12-29 10:52:20 PST
Comment on attachment 207104 [details] [diff] [review]
Patch rv1.1

Sorry, I missed timeless set the superreviewr.
Comment 7 User image rbs 2005-12-30 18:10:36 PST
Comment on attachment 207104 [details] [diff] [review]
Patch rv1.1

sr=rbs
Comment 8 User image Masayuki Nakano [:masayuki] 2005-12-30 21:30:39 PST
checked-in.
Comment 9 User image Masayuki Nakano [:masayuki] 2005-12-30 21:33:02 PST
Comment on attachment 207104 [details] [diff] [review]
Patch rv1.1

Mozilla Japan wants this patch on 1.8.1 branch.
Because it's last chance for fixing this bug on release builds.(Gecko 1.9 may not be support Win9x by using Cairo.)
Comment 10 User image Masayuki Nakano [:masayuki] 2006-02-01 06:34:26 PST
checked-in to 1.8 branch.
Comment 11 User image Daniel Veditz [:dveditz] 2006-02-14 15:57:46 PST
Comment on attachment 207104 [details] [diff] [review]
Patch rv1.1

approved for 1.8.0 branch, a=dveditz for drivers

Note You need to log in before you can comment on or make changes to this bug.